=begin
Copyright 2020, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed on the Extension Warehouse
Name - MAJ Stair
SU Version - 20.1.235

Description
This plugin will make any kind of stairs simply.

Usage
This extension can make a stair with 3 simple click.

History
0.0.1:: 2020-11-13
   * Original release.  I'm expecting some bugs and feedback.
0.0.2:: 2020-12-16
  * Using HtmlDialog for window.
0.0.3:: 2021-02-28
  * Sloving adding break point problem in MAC
1.0.1:: 2021-04-29
  * Completely new version with many changes
1.0.5:: 2021-05-23
  * Status Bar is wlways active.
  * Used Arrow Keys.
  * Problems solved in MAC OS
=end


module MajidMahmoudi

  module MajStair            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_Stair"        #EDIT
    UNAME = "MAJ Stair"       #EDIT
    MENU_NAME = "Stair Maker"       #EDIT
    version = "1.0.5"           #EDIT
    desc = "This plugin will make stair."
    copy_year = "2021"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
